﻿CREATE TABLE PveNode (
	"Id" INTEGER NOT NULL,
	"Name" TEXT NOT NULL,
	"FullName" TEXT NOT NULL,
	"IPv4" TEXT NOT NULL UNIQUE,
	"Port" INTEGER NOT NULL,
	"PreferredAuthenticationTypeId" INTEGER NOT NULL,
	"ClusterId" INTEGER,
	"Description" TEXT NOT NULL,
	CONSTRAINT "FK_PveNode_AuthenticationType" FOREIGN KEY("AuthenticationTypeId") REFERENCES AuthenticationType("Id"),
	CONSTRAINT "FK_PveNode_PveCluster" FOREIGN KEY("ClusterId") REFERENCES PveCluster("Id"),
	CONSTRAINT "PK_PveNode" PRIMARY KEY("Id" AUTOINCREMENT)
);